| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
BannerSlide Struct Reference

Describes the full content and display metadata for a single banner slide. More...

`#include <info_banner_widget.h>`

## Public Attributes
BannerSlideType | type
QString | tag
QString | title
QString | description
QString | description_sub
QString | body_text
QString | button_label
QString | url
QString | image
int | date_month
int | date_day
QString | application
QDate | date_from
QDate | date_until

## Detailed Description

Describes the full content and display metadata for a single banner slide.

## Member Data Documentation

## ◆ application

QString BannerSlide::application

Application filter (e.g. "tshark"); empty string means show in all applications

## ◆ body_text

QString BannerSlide::body_text

Additional explanatory text rendered below the highlight box

## ◆ button_label

QString BannerSlide::button_label

Label for the action button (e.g. "More Tips"); empty hides the button

## ◆ date_day

int BannerSlide::date_day

Day (1–31) restricting visibility for seasonal slides; 0 = any day

## ◆ date_from

QDate BannerSlide::date_from

First date (inclusive) on which the slide should be shown; invalid = no lower bound

## ◆ date_month

int BannerSlide::date_month

Month (1–12) restricting visibility for seasonal slides; 0 = any month

## ◆ date_until

QDate BannerSlide::date_until

Last date (inclusive) on which the slide should be shown; invalid = no upper bound

## ◆ description

QString BannerSlide::description

Primary body text shown inside the highlight box

## ◆ description_sub

QString BannerSlide::description_sub

Secondary line of text shown below `description` in the highlight box

## ◆ image

QString BannerSlide::image

Banner image filename resolved under :/json/banners/

## ◆ tag

QString BannerSlide::tag

Short type label shown as the slide subheader (e.g. "Tip of the Day")

## ◆ title

QString BannerSlide::title

Main heading text displayed on the slide (e.g. "Quick Filter Shortcut")

## ◆ type

BannerSlideType BannerSlide::type

Content category of this slide (see BannerSlideType)

## ◆ url

QString BannerSlide::url

URL opened when the slide or action button is clicked

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/qt/widgets/info_banner_widget.h